package jalview.io;

import jalview.datamodel.AlignmentI;

import java.io.IOException;

public interface FileFormatI
{

  AlignmentFileI getAlignmentFile(String inFile, DataSourceType sourceType)
          throws IOException;

  AlignmentFileI getAlignmentFile(FileParse source) throws IOException;

  AlignmentFileI getAlignmentFile(AlignmentI al);

  AlignmentFileI getAlignmentFile();

  boolean isComplexAlignFile();

  /**
   * Returns a comma-separated list of file extensions associated with the
   * format
   * 
   * @return
   */
  String getExtensions();

  boolean isReadable();

  boolean isWritable();
}
